Modify

Opened 7 years ago

Closed 7 years ago

#4194 closed defect (fixed)

PSPBoot issues with Asus AAM6020 AR7 router

Reported by: steven@… Owned by: developers
Priority: normal Milestone: Kamikaze 8.09 RC1
Component: base system Version:
Keywords: Cc:

Description

As I now have serial access and the ability to recover I decided to try an OpenWRT 8.08_RC1 firmware on this hardware.

In the past I have been using the firmware's from routertech.org

The router refuses to boot unless I flash the firmware with the TI PCTool software.

The issues I've had are

  1. No TFTP client or server appears to be present
  2. Firmware update via FTP often appears to time out
  3. Different MTD1 value required for the RouterTech firmware compared with OpenWRT
  4. Attempt to upload OpenWRT firmware with PCTool software doesn't appear to clear the correct amount of flash memory and fails.
  5. Route tech firmware appears to have 0x90 bytes of extra data at the front that appears to be important.

I tried the following 8.09_RC1 firmwares

  • openwrt-ar7-jffs2-64k.bin
  • openwrt-ar7-squashfs.bin

Also the following Routertech image

  • RouterTech_3.6.0D_20081005_2.70_AR7WRD_psbl_firmware.upgrade.img

Full recover to a RouterTech firmware is possible via PCTool so I can re-try OpenWRT quite easily.

Attachments (0)

Change History (13)

comment:1 Changed 7 years ago by steven@…

PSPBoot information from Router

Initial PSPBoot output over serial

Minimal POST completed...     Success.
Last reset cause: Hardware reset (Power-on reset)

PSPBoot1.2 rev: 1.2.5.9
(c) Copyright 2002-2004 Texas Instruments, Inc. All Rights Reserved.

Press ENTER for monitor... 3\0x083

Help

(psbl) help
reboot            version           info              fa                
printenv          setenv            unsetenv          defragenv         
fmt               boot              dm                oclk              
help              
(psbl)

Version

PSPBoot 1.2.5.9
Compiled gcc rev: 2.95.3 20010315 (release/MontaVista) [Mar 25 2005 14:35:15]
Built for AR7WRD board in Little Endian mode.

Optional modules included (+) or not (-):
 +tibinary -elf -gzip -ffs -tftp -ftp +dhcp +pcapp

Info

CHIP ID: TNETD73XX (0x5), REV: 0x2

MIPS Processor   : 4KEc rev: 2.2.0
Cache mode       : write-back, write-allocate.
Instruction cache: Associativity: 4, Line size: 16, Total size: 16KB
Data cache       : Associativity: 4, Line size: 16, Total size: 16KB

Last reset cause: Hardware reset (Power-on reset)

EMIF is running at the same speed of the processor.
Processor running in little endian mode.
Processor clock is asynchronous to internal bus clock.

Environment

(psbl) printenv

bootloaderVersion\0x091.2.5.9
ProductID    \0x09AR7WRD
HWRevision   \0x09Unknown
SerialNumber \0x09none
IPA          \0x09192.168.1.1
BOOTCFG      \0x09m:f:"mtd1"
mtd2         \0x090x90000000,0x90010000
mtd3         \0x090x90010000,0x90020000
mtd4         \0x090x90020000,0x90400000
usb_vid      \0x090x0451
usb_pid      \0x090x6060
usb_prod     \0x09USB MODEM
MAC_PORT     \0x091
ReleaseVersion\0x09pspboot-1259-0104-AR7WRD-FLSH4-RAM16-EX
MEMSZ        \0x090x01000000
FLASHSZ      \0x090x00400000
MODETTY0     \0x0938400,n,8,1,hw
MODETTY1     \0x0938400,n,8,1,hw
CPUFREQ      \0x09150000000
SYSFREQ      \0x09125000000
PROMPT       \0x09(psbl)
StaticBuffer \0x09120
vcc_encaps0  \0x090.0
vcc_encaps1  \0x090.0
vcc_encaps2  \0x090.0
vcc_encaps3  \0x090.0
vcc_encaps4  \0x090.0
vcc_encaps5  \0x090.0
vcc_encaps6  \0x090.0
vcc_encaps7  \0x090.0
HWA_0        \0x0900:13:D4:31:86:89
mac_ap       \0x0900:60:B3:D0:E2:A2
mtd1         \0x090x90020090,0x90098000
mtd0         \0x090x90098000,0x90400000
modulation   \0x090x1

Flash Allocation

(psbl) fa
Current Flash Allocation:

section :   PSBL, base : 0xb0000000, size :      64832 bytes
section :    ENV, base : 0xb0010000, size :      65535 bytes

unallocated Space Start: 0xb0020000
unallocated Space End  : 0xb0400000

comment:2 Changed 7 years ago by steven@…

Trying OpenWRT

First over serial fix the MTD1 start point to match MTD4

setenv mtd1 0x90020000,0x90098000

Then following from http://wiki.openwrt.org/OpenWrtDocs/InstallingAR7

ftp 192.168.1.1
Connected to wrt (192.168.1.1).
220 ADAM2 FTP Server ready.
Name (192.168.1.1:user): adam2
530 Please login with USER and PASS.
SSL not available
331 Password required for adam2.
Password:
230 User adam2 successfully logged in.

ftp> binary
ftp> quote MEDIA FLSH
ftp> put openwrt-ar7-squashfs.bin "upgrade_code.bin mtd4"

we get the following output over serial

(psbl) FlashEraseBlock(b0020000,b03fffff);
..............................................................
...............................................................Flash 'Write Byte' operation Failed: sts=eeee0001
ERROR: Flash write aborted b0400000

So even though the upload is under 4M the flash kept writing.

Checked the beginning to MTD1 to confim data matched the original image and rebooted.

Router fails reporting No OS.

comment:3 Changed 7 years ago by steven@…

I was able to reflash the router to a known working routertech firmware using the TI PCTool application, which reset the value of MTD1

I rechecked the PSPBoot environment after confirming we had a working upgrade

bootloaderVersion\0x091.2.5.9
ProductID    \0x09AR7WRD
HWRevision   \0x09Unknown
SerialNumber \0x09none
IPA          \0x09192.168.1.1
BOOTCFG      \0x09m:f:"mtd1"
mtd2         \0x090x90000000,0x90010000
mtd3         \0x090x90010000,0x90020000
mtd4         \0x090x90020000,0x90400000
usb_vid      \0x090x0451
usb_pid      \0x090x6060
usb_prod     \0x09USB MODEM
MAC_PORT     \0x091
ReleaseVersion\0x09pspboot-1259-0104-AR7WRD-FLSH4-RAM16-EX
MEMSZ        \0x090x01000000
FLASHSZ      \0x090x00400000
MODETTY0     \0x0938400,n,8,1,hw
MODETTY1     \0x0938400,n,8,1,hw
CPUFREQ      \0x09150000000
SYSFREQ      \0x09125000000
PROMPT       \0x09(psbl)
StaticBuffer \0x09120
vcc_encaps0  \0x090.0
vcc_encaps1  \0x090.0
vcc_encaps2  \0x090.0
vcc_encaps3  \0x090.0
vcc_encaps4  \0x090.0
vcc_encaps5  \0x090.0
vcc_encaps6  \0x090.0
vcc_encaps7  \0x090.0
HWA_0        \0x0900:13:D4:31:86:89
mac_ap       \0x0900:60:B3:D0:E2:A2
modulation   \0x090x1
mtd1         \0x090x90020090,0x900a4000
mtd0         \0x090x900a4000,0x90400000

comment:4 Changed 7 years ago by steven@…

Looks like the newer routertech firmware has a slightly larger kernel size.

Performing a hexdump on the first 0x0100 bytes of the routertech image shows the actual kernel starts at 0x0090

I don't know what the rest of the data signifies at this stage

00000000  34 44 54 4d 01 02 03 04  40 30 20 10 00 00 00 00  |4DTM....@0 .....|
00000010  90 00 00 00 4a 4f 31 00  4e 53 50 20 33 2e 35 2e  |....JO1.NSP 3.5.|
00000020  31 20 52 65 6c 65 61 73  65 00 00 00 00 00 00 00  |1 Release.......|
00000030  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
00000050  00 00 00 00 00 00 00 00  5c 0c 00 00 b6 fb 7e 18  |........\.....~.|
00000060  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
00000070  90 00 00 00 ba 3e 08 00  00 00 00 00 00 00 00 00  |.....>..........|
00000080  00 40 08 00 00 10 29 00  00 00 00 00 00 00 00 00  |.@....).........|
00000090  42 fa ed fe 9e 3e 08 00  00 f0 20 94 00 00 83 8c  |B....>.... .....|
000000a0  04 00 82 8c 05 00 62 10  01 00 02 24 00 00 62 90  |......b....$..b.|
000000b0  01 00 63 24 08 00 e0 03  00 00 83 ac 10 00 82 ac  |..c$............|
000000c0  08 00 e0 03 ff 00 02 24  e0 ff bd 27 18 00 bf af  |.......$...'....|
000000d0  14 00 b1 af 10 00 b0 af  21 80 80 00 00 00 05 ae  |........!.......|
000000e0  21 28 a6 00 04 00 05 ae  10 00 00 ae 0c 00 00 ae  |!(..............|
000000f0  ff ff 02 24 08 00 02 ae  04 00 11 24 00 3c 08 0d  |...$.......$.<..|

comment:5 Changed 7 years ago by steven@…

Reference to a similar problem here

http://forum.openwrt.org/viewtopic.php?id=10029

comment:6 Changed 7 years ago by steven@…

I also ran a tcpdump while performing an upgrade of the routertech firmware via PCTool.

18:38:01.758886 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 1019265443:1019265470(27) ack 3750 win 63534
E..C..@........x.....]..<.......P...e...PORT 192,168,1,120,19,153

18:38:01.760306 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 1:31(30) ack 27 win 1024
E..FW......\.......x...]....<...P...9&..200 Port command successful.

18:38:01.760311 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 1:31(30) ack 27 win 1024
E..FW......Z.......x...]....<...P...9&..200 Port command successful.

18:38:01.760927 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 31 win 63504
E..(..@........x.....]..<.......P..."E..
18:38:01.761390 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: . ack 27 win 1024
E..(W......t.......x...]....<...P....V........
18:38:01.764613 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 27:37(10) ack 31 win 63504
E..2..@........x.....]..<.......P.......RETR env

18:38:01.765008 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 31:91(60) ack 37 win 1024
E..dW......6.......x...]....<...P....+..150 Opening BINARY mode data connection fo
18:38:01.817430 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 31:115(84) ack 37 win 1024
E..|W..............x...]....<...P.......150 Opening BINARY mode data connection fo
18:38:01.817433 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 31:115(84) ack 37 win 1024
E..|W..............x...]....<...P.......150 Opening BINARY mode data connection fo
18:38:01.817901 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 115 win 63420
E..(..@........x.....]..<.......P...";..
18:38:17.049044 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 37:50(13) ack 115 win 63420
E..5.%@........x.....]..<.......P...ef..GETENV mtd4

18:38:17.049742 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 115:193(78) ack 50 win 1024
E..vW..............x...]....<...P....v..mtd4                  0x90020000,0x9040000
18:38:17.049964 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 115:193(78) ack 50 win 1024
E..vW..............x...]....<...P....v..mtd4                  0x90020000,0x9040000
18:38:17.050102 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 193 win 63342
E..(.&@........x.....]..<......fP..n"...
18:38:17.050394 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: . ack 50 win 1024
E..(W..............x...]...f<...P.............
18:38:17.054798 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 50:85(35) ack 193 win 63342
E..K.*@........x.....]..<......fP..n....SETENV mtd4,0x90020000,0x90400000

18:38:17.055450 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 193:224(31) ack 85 win 1024
E..GW..............x...]...f<...P....Y..200 SETENV command successful
.
18:38:17.055664 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 193:224(31) ack 85 win 1024
E..GW..............x...]...f<...P....Y..200 SETENV command successful
.
18:38:17.055788 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 224 win 63311
E..(.,@........x.....]..<.......P..O"...
18:38:17.056080 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: . ack 85 win 1024
E..(W..............x...]....<...P....[........
18:38:17.058151 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 85:120(35) ack 224 win 63311
E..K./@........x.....]..<.......P..O....SETENV mtd1,0x90020090,0x900a4000

18:38:17.059312 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 224:255(31) ack 120 win 1024
E..GW..............x...]....<...P.......200 SETENV command successful
.
18:38:17.059541 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 224:255(31) ack 120 win 1024
E..GW..............x...]....<...P.......200 SETENV command successful
.
18:38:17.059630 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 255 win 63280
E..(.1@........x.....]..<.......P..0!...
18:38:17.059999 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: . ack 120 win 1024
E..(W..............x...]....<...P.............
18:38:17.061659 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 120:155(35) ack 255 win 63280
E..K.4@........x.....]..<.......P..0.h..SETENV mtd0,0x900a4000,0x90400000

18:38:17.062859 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 255:286(31) ack 155 win 1024
E..GW..............x...]....<..>P.......200 SETENV command successful
.
18:38:17.063092 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 255:286(31) ack 155 win 1024
E..GW..............x...]....<..>P.......200 SETENV command successful
.
18:38:17.063193 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 286 win 63249
E..(.6@........x.....]..<..>....P...!...
18:38:17.063486 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: . ack 155 win 1024
E..(W..............x...]....<..>P.............
18:38:17.070971 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 155:182(27) ack 286 win 63249
E..C.9@........x.....]..<..>....P...c...PORT 192,168,1,120,19,154

18:38:17.072181 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 286:316(30) ack 182 win 1024
E..FX..............x...]....<..YP...7n..200 Port command successful.

18:38:17.072465 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 286:316(30) ack 182 win 1024
E..FX..............x...]....<..YP...7n..200 Port command successful.

18:38:17.072557 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 316 win 63219
E..(.<@........x.....]..<..Y....P...!...
18:38:17.072881 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: . ack 182 win 1024
E..(X	.............x...]....<..YP.............
18:38:17.076187 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: P 182:257(75) ack 316 win 63219
...STOR RouterTech_3.6.0D_20081005_2.70_AR7WR
18:38:17.076989 IP 192.168.1.1.ftp > 192.168.1.120.ardus-mtrns: P 316:350(34) ack 257 win 1024
E..JX..............x...]....<...P.../Y..120 service ready in 33 seconds.

18:38:17.282996 IP 192.168.1.120.ardus-mtrns > 192.168.1.1.ftp: . ack 350 win 63185
E..(.B@........x.....]..<.......P...!_..

Looks like PCTool uses some of the information in the header to query and resize the MTD1 and MTD0 areas before uploading, which is sensible.

comment:7 Changed 7 years ago by steven@…

Here is the serial output of a working PCTool upgrade of a routertech firmware

FlashEraseBlock(b0020000,b03fffff);
..............................................................
.................................................

If I try and upload an openwrt firmware via the same tool we get a different end point for the FlashEraseBlock message and the upload fails

FlashEraseBlock(b0020000,b00affff);
.........
........ERROR: Store to media failed

comment:8 Changed 7 years ago by steven@…

Serial output of working boot of routertech firmware

Booting...
Copyright (C) 2006 Merlion-ACORP Russia Software Company.
Launching kernel LZMA decompressor.
Kernel decompressor was successful ... launching kernel.

LINUX started...
Config serial console: ttyS0,38400
Auto Detection SANGAM chip
CPU revision is: 00018448
Primary instruction cache 16kb, linesize 16 bytes (4 ways)
Primary data cache 16kb, linesize 16 bytes (4 ways)
Number of TLB entries 16.
Linux version 2.4.17_mvl21-malta-mips_fp_le (router@Ubuntu) () #1 Sun Oct 5 07:03:28 BST 2008
Determined physical RAM map:
 memory: 14000000 @ 00000000 (reserved)
 memory: 00020000 @ 14000000 (ROM data)
 memory: 00fe0000 @ 14020000 (usable)
On node 0 totalpages: 4096
zone(0): 4096 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: 
calculating r4koff... 000b71b0(750000)
CPU frequency 150.00 MHz
Calibrating delay loop... 149.91 BogoMIPS
Freeing Adam2 reserved memory [0x14001000,0x0001f000]
Memory: 14048k/16384k available (1804k kernel code, 2336k reserved, 111k data, 60k init)
Dentry-cache hash table entries: 2048 (order: 2, 16384 bytes)
Inode-cache hash table entries: 1024 (order: 1, 8192 bytes)
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer-cache hash table entries: 1024 (order: 0, 4096 bytes)
Page-cache hash table entries: 4096 (order: 2, 16384 bytes)
Checking for 'wait' instruction...  unavailable.
POSIX conformance testing by UNIFIX
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
TI Optimizations: Allocating TI-Cached Memory Pool.
Using 120 Buffers for TI-Cached Memory Pool.
DEBUG: Using Hybrid Mode.
NSP Optimizations: Succesfully allocated TI-Cached Memory Pool.
Initializing RT netlink socket
Starting kswapd
Disabling the Out Of Memory Killer
devfs: v1.7 (20011216) Richard Gooch (rgooch@atnf.csiro.au)
devfs: boot_options: 0x1
squashfs: version 3.1 (2006/08/19) Phillip Lougher, lzma support by McMCC
pty: 32 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with no serial options enabled
ttyS00 at 0xa8610e00 (irq = 15) is a 16550A
ttyS01 at 0xa8610f00 (irq = 16) is a 16550A
Vlynq CONFIG_MIPS_AVALANCHE_VLYNQ_PORTS=2
Vlynq Device vlynq0 registered with minor no 63 as misc device. Result=0
Vlynq instance:0 Link UP
Vlynq Device vlynq1 registered with minor no 62 as misc device. Result=0
VLYNQ 1 : init failed
block: 64 slots per queue, batch=16
DEBUG: Initializing the voice port management module. 
DEBUG: Initialization of the voice port management module successful..
Cpmac driver is allocating buffer memory at init time.
Cpmac driver Enable TX complete interrupt
Default Asymmetric MTU for eth0 1500
Default Asymmetric MTU for eth1 1500
Default Asymmetric MTU for eth2 1500
Default Asymmetric MTU for eth3 1500
PPP generic driver version 2.4.1
avalanche flash device: 0x400000 at 0x10000000.
 Amd/Fujitsu Extended Query Table v3.3 at 0x0040
Flash type: AMD; Manufacturer=SAMSUNG.
Manufacturer_ID=0x00EC; Chip_ID=0x00A2; Chip_Size=0x400000; Erase_Regions=0x0002
The Chief's FLASH extensions (www.RouterTech.Org): code loaded.
number of CFI chips: 1
Looking for mtd device :mtd0:
Found a mtd0 image (0xa4000), with size (0x35c000).
Creating 1 MTD partitions on "Physically mapped flash:0":
0x000a4000-0x00400000 : "mtd0"
mtd: partition "mtd0" doesn't start on an erase block boundary -- force read-only
Looking for mtd device :mtd1:
Found a mtd1 image (0x20090), with size (0x83f70).
Creating 1 MTD partitions on "Physically mapped flash:0":
0x00020090-0x000a4000 : "mtd1"
mtd: partition "mtd1" doesn't start on an erase block boundary -- force read-only
Looking for mtd device :mtd2:
Found a mtd2 image (0x0), with size (0x10000).
Creating 1 MTD partitions on "Physically mapped flash:0":
0x00000000-0x00010000 : "mtd2"
Looking for mtd device :mtd3:
Found a mtd3 image (0x10000), with size (0x10000).
Creating 1 MTD partitions on "Physically mapped flash:0":
0x00010000-0x00020000 : "mtd3"
Looking for mtd device :mtd4:
Found a mtd4 image (0x20000), with size (0x3e0000).
Creating 1 MTD partitions on "Physically mapped flash:0":
0x00020000-0x00400000 : "mtd4"
Looking for mtd device :mtd5:
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 1024 bind 1024)
Linux IP multicast router 0.06 plus PIM-SM
ip_conntrack version 2.1 (256 buckets, 2048 max) - 384 bytes per conntrack
ip_conntrack_pptp version 1.9 loaded
ip_nat_pptp version 1.5 loaded
ip_tables: (C) 2000-2002 Netfilter core team
ipt_account 0.1.6 : Piotr Gasid\0xb3o <quaker@barbara.eu.org>, http://www.barbara.eu.org/~quaker/ipt_account/
netfilter PSD loaded - (c) astaro AG
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
NET4: Ethernet Bridge 008 for NET4.0
Initializing the WAN Bridge.
Please set the MAC Address for the WAN Bridge.
Set the Environment variable 'HWA_3' or 'macc' or 'wan_br_mac'. 
MAC Address should be in the following format: xx:xx:xx:xx:xx:xx
VFS: Mounted root (squashfs filesystem) readonly.
Mounted devfs on /dev
Freeing unused kernel memory: 60k freed
Algorithmics/MIPS FPU Emulator v1.5
Sun Oct  5 07:07:00 UTC 2008
 Reading Standard Configuration File /etc/led.conf

 Configured 19 states 
registered device TI Avalanche SAR
Sangam detected
DSP binary filesize = 385738 bytes
tn7dsl_set_modulation : Setting mode to 0x1
Texas Instruments ATM driver: version:[7.03.09.00]
ifconfig: SIOCGIFFLAGS: No such device
ifconfig: SIOCGIFFLAGS: No such device
ifconfig: SIOCGIFFLAGS: No such device
PVC dB
vpi = -1 vci = -1 in_use = 0
vpi = -1 vci = -1 in_use = 0
vpi = -1 vci = -1 in_use = 0
vpi = -1 vci = -1 in_use = 0
vpi = -1 vci = -1 in_use = 0
vpitn7dsl_set_modulation : Setting mode to 0x1
 = -1 vci = -1 in_use = 0
vpi = -1 vci = -1 in_use = 0
vpi = -1 vci = -1 in_use = 0
Oct  5 07:07:11 cfgmgr(pppoa-108): Oct  5 07:07:11 | Valid Configuration Tree
Doing BRCTL ...
addbr br0 
Doing BRCTL ...
addbr br1 
Doing BRCTL ...
addbr br2 
Oct  5 07:07:11 cfgmgr(sntp): Oct  5 07:07:11 | NTP Polling Timer for DHCP Started succesfully.
Oct  5 07:07:11 cfgmgr(sar): Oct  5 07:07:11 | DSL Polling Timer Started succesfully.
Oct  5 07:07:11 cfgmgr(sar): Oct  5 07:07:11 | PSP Boot environment  Modem Modulation Change: 0x1
Oct  5 07:07:11 cfgmgr(fdb): Oct  5 07:07:11 | Firewall NAT service started
Default Asymmetric MTU for br0 1500

Please press Enter to activate this console.

comment:9 Changed 7 years ago by steven@…

Based on the tool found at this ticket https://dev.openwrt.org/ticket/4017

perl ./find_kernel.2.pl openwrt-ar7-squashfs.bin
Using Flash memory:
	mtd0=0x?,0x90400000
	mtd1=0x90020000,0x?
Total: 2097156 bytes
Found SquashFS start at 851968
setenv mtd0 0x900f0000,0x90400000
setenv mtd1 0x90020000,0x900f0000
setenv mtd4 0x90020000,0x90400000

Need to retry the setting an upload the image

This is different from my oroginal values

setenv mtd1 0x90020000,0x90098000

comment:10 Changed 7 years ago by steven@…

This now works with the openwrt-ar7-squashfs.bin firmware with the above MTD line

Need to enable HASH printing in the ftp command as sometimes it appears to loose the upload part way through.

Need to install the correct ADSL driver

opkg update
opkg install kmod-sangam-atm-annex-a

Also at present have no wireless, but otherwise router appears to work.

comment:11 Changed 7 years ago by florian

Is there anything that needs to be changed in OpenWrt to get your router supported ? As far as I understand your log it seems like it is only a matter of using the right commands/tools ?

comment:12 Changed 7 years ago by steven@…

No issues remaining. This can now be closed.

Thanks

comment:13 Changed 7 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Thank you !

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.